#ifndef code__validation__except_hxx_
#define code__validation__except_hxx_

#include <code/validation/test-fail-extras.hxx>

namespace code::validation
{

  class Fail
  {
  public:
    Fail(Test_fail_extras extras)
      : extras_{std::move(extras)}
    {}

    Test_fail_extras const&
    extras() const
    {
      return extras_;
    }

  private:
    Test_fail_extras extras_;

  };

} // namespace code::validation

#endif
