#ifndef code__validation__traits_hxx_
#define code__validation__traits_hxx_

#include <concepts>
#include <iostream>

namespace code::validation
{

  template<typename T>
  concept has_output_operator = requires(std::ostream& o, T const& value)
  {
    // check if T can be written to an std::ostream.
    //
    {
      o << value
    };

  };

} // namespace code::validation

#endif
